Subject: RE: Support for draft-kompella-ppvpn-vpls-01.txt

From: Mourad BERKANE <[email-masked]>
Date: Tue, 29 Apr 2003 15:41:19 +0200

Hi Jeremy

(sorry about the non confusion)

The "argument" is that today Providers don't (want to) have a (useless) LDP
peering sessions for VPLS application because BGP already present between
Providers (IP world).

Suppose you would like to extend a VPLS domain out of your network, you will
need to extend signaling between theses networks ("hi i am PE1 from Carrier
A ASN=1 and I would like to join VPLS Z in your domain Carrier B ASN=2,
please use label L to send traffic to me"). The fact is that Carrier A and
Carrier B could already communicated over IPv4 Public network: a BGP session
already exist between A and B and could be used for many services
(v4,v6,2547bis AND VPLS)

If you use BGP as VPLS signaling protocols, you will need to setup a MP-eBGP
session between AS
--> re use of existing BGP session between A and B

Forwarding Tunnels used proposed in draft-kompella-ppvpn-vpls could be
MPLS,IP or GRE tunnels between A and B.
Someone who don't (or can't) discuss LDP could be a candidate for an
extension of a VPLS domain since the signaling protocol is BGP :-)

If you use LDP as VPLS signaling protocols, you will need to open LDP ports
between A and B.
This new session is dedicated to VPLS services. Of course, It work but why
should I manage/troubleshoot this LDP inter-AS sessions since BGP already
present for others services?

Mourad

-----Message d'origine-----
De : [email-masked] [mailto:[email-masked]]
Envoyé : mardi 29 avril 2003 15:03
À : Mourad BERKANE
Cc : [email-masked]
Objet : Re: Support for draft-kompella-ppvpn-vpls-01.txt

Hi Mourad,

> LDP is not used as a signaling protocol for IPv4, IPv6 or 
> rfc2547bis :-) 
> BGP is in charge of it (and do the job very well).

BGP distributes routes, it doesn't establish Pseudo-Wires in the
examples you give.

> May be this will clarify all theses exchanges about signalling in
> VPLS: adding a new signaling protocol (LDP) whitout any added value
> versus keeping the same signalling protocol (BGP) for differents
> services (IP,rfc2547bis,VPLS, futures needs)
> 
> You may confuse MPLS signaling (LDP or RSVP) and and VPLS signaling
> (LDP or BGP)?

I'm sure I was not confused by the above ;-)

What I meant was that LDP is used for pseudo-wire signaling
(http://www.ietf.org/html.charters/pwe3-charter.html, "Pseudo-Wire Setup
and Maintenance using LDP"), and that VPLS uses pseudo-wires.

So arguments that say "BGP because it is also used for X" or "LDP
because it is also used for Y" are not convincing enough for me, as
you'll have BGP in some environments (2547) and LDP in other
environments (PWE3) and LDP + BGP in many environments ;-)

What I really wanted to know is what the difference is for inter-AS
applications, as this seems to be one of the *technical* arguments.

Jeremy.

> 
> Mourad
> 
> -----Message d'origine-----
> De : [email-masked] [mailto:[email-masked]]
> Envoyé : mardi 29 avril 2003 14:19
> À : Mourad BERKANE
> Cc : [email-masked]'; [email-masked];
> [email-masked]; [email-masked]
> Objet : Re: Support for draft-kompella-ppvpn-vpls-01.txt
> 
> Mourad,
> 
> > As you hinted here, MP-BGP is much more designed for a *public*
> > inter-AS session for VPLS.
> 
> I still don't understand why MP-BGP is more appropriate than LDP for
> this application. I probably need more than a "hint" to fully
> understand
> it ;-)
> 
> > Even if LDP/RSVP already present for the forwarding plane inside a
> > MPLS domain, why should i used LDP for VPLS signalling when BGP
> > already do the job (IPv4,v6,rfc2547bis,...)???
> 
> You can turn this around: Even if BGP is already present for 2547bis,
> v4, v6 etc, why should I use BGP for VPLS signaling when LDP already
> does the job (LDP for intra-AS tunnel LSPs, LDP for individual PWE3
> Pseudo-Wires, ...) ?
> 
> [I guess the answer to both of the above questions is given in the
> large
> number of previous emails on this topic ;-)]
> 
> Jeremy.
> 
> > Mourad
> >
> > -----Message d'origine-----
> > De : Robert Raszuk [mailto:[email-masked]]
> > Envoyé : mardi 29 avril 2003 11:26
> > À : [email-masked]
> > Cc : [email-masked]; [email-masked]
> > Objet : Re: Support for draft-kompella-ppvpn-vpls-01.txt
> >
> > Andres,
> >
> > AFAIK there is no need to configure anything rather then a site
> > interface on the PEs. Autodiscovery will detect new addition and
> > propagate the news to all participants. Then in the
> lasserre-vkompella
> >
> > scheme directed LDP if not already set get's automatically
> established
> >
> > between parties.
> >
> > Of course the drawback here is that you need to keep LDP ports open
> > wide
> > within inter-AS LDP src ranges which may or may not be an acceptable
> 
> > issue :-).
> >
> > R.
> >
> > > [email-masked] wrote:
> > >
> > > Hi Eric
> > >
> > > As I understand it a requirement would be to have a full mesh of
> LDP
> >
> > > sessions between the PEs in the participating AS domains. This
> means
> >
> > > configuration of each PE when for example a new site is added to
> an
> > > already existing VPN. If BGP is used this is not necessary as RRs
> > can be
> > > used, minimizing the configuration to the new PE and the RR.
> > > But perhaps there exist a solution similar to this for LDP as
> well?
> > It
> > > seems appealing to reuse the 2547bis structure we have also for
> VPLS
> > if
> > > it's possible.
> > >
> > > My point is that further investigation of the two different
> > solutions
> > > before rejecting one or the other would be good
> > >
> > > /Andreas
> > >
> > > -----Original Message-----
> > > From: Eric Rosen [mailto:[email-masked]]
> > > Sent: den 28 april 2003 16:29
> > > To: Mattsson, Andreas A. /Research /08-713 81 86, 070-618 67 67
> > > Cc: [email-masked]
> > > Subject: Re: Support for draft-kompella-ppvpn-vpls-01.txt
> > >
> > > Andreas> I would  also like to  know how inter-AS  with the LDP
> > > Andreas> approach in lasserre-vkompella is to be solved.
> > >
> > > Could you say what the issue is that you think needs to be solved?

---

From: Wei Luo <[email-masked]>
Date: Tue, 29 Apr 2003 08:13:24 -0700

Why is it so evil to have inter-AS connectivity and open up LDP ports?

Suppose service providers want to provide pseudowire services including
point-to-point and VPLS across multi-AS non-MPLS network, i.e. IP only.  The
non-MPLS pseudowire signaling protocol is L2TPv3, which is a point-to-point
protocol.  It also requires inter-AS connectivity and to open up L2TPv3 ports.

It seems that by your way of reasoning, we should use BGP to set up L2TP tunnels
in an inter-AS environment as well?

---Wei

> Mourad BERKANE wrote:
> need to extend signaling between theses networks ("hi i am PE1 from Carrier A
> ASN=1 and I would like to join VPLS Z in your domain Carrier B ASN=2, please
> use label L to send traffic to me"). The fact is that Carrier A and Carrier B
> could already communicated over IPv4 Public network: a BGP session already
> exist between A and B and could be used for many services (v4,v6,2547bis AND
> VPLS)
> 
> Forwarding Tunnels used proposed in draft-kompella-ppvpn-vpls could be MPLS,IP
> or GRE tunnels between A and B.
> Someone who don't (or can't) discuss LDP could be a candidate for an extension
> of a VPLS domain since the signaling protocol is BGP :-)
>

---

From: "Mike Duckett \(Dotnet\)" <[email-masked]>
Date: Wed, 30 Apr 2003 11:08:43 -0400

Potential tangent:

I'd like the implementation decisions of an administrative domain (e.g,. a
single operator) decoupled from interdomain configuration.  This may be a
unique requirement (e.g., a form of interworking).  As noted, operators will
make individual implementation decisions as will enterprises (I envision
enterprise interdomain as well).  In order to maximize on all our work, we
need flexibility in provider/enterprise interconnections that are distinct
from internal implementations.

Again, one size does not fit all.  Therefore, interprovider "interworking"
may drive a unique set of requirements.

----- Original Message -----
From: "Wei Luo" <[email-masked]>
To: "Mourad BERKANE" <[email-masked]>
Cc: <[email-masked]>; <[email-masked]>
Sent: Tuesday, April 29, 2003 11:13 AM
Subject: Re: Support for draft-kompella-ppvpn-vpls-01.txt

Suppose service providers want to provide pseudowire services including
point-to-point and VPLS across multi-AS non-MPLS network, i.e. IP only.  The
non-MPLS pseudowire signaling protocol is L2TPv3, which is a point-to-point
protocol.  It also requires inter-AS connectivity and to open up L2TPv3
ports.

It seems that by your way of reasoning, we should use BGP to set up L2TP
tunnels
in an inter-AS environment as well?

---Wei

> Forwarding Tunnels used proposed in draft-kompella-ppvpn-vpls could be
MPLS,IP
> Someone who don't (or can't) discuss LDP could be a candidate for an
extension

---

From: Chris Metz <[email-masked]>
Date: Wed, 30 Apr 2003 16:59:21 -0700

>from internal implementations.

I agree. I can imagine scenarios where two PEs belonging to different ASes 
that employ a different PW signaling and encapsulation scheme (i.e. LDP and 
L2TPv3)  need to source/sink a PW. An analogy can be drawn with routing in 
which each AS is free to employ their IGP of choice.